Subject: RE: bug#42578: 28.0.50; [suggestion] allow dired-do-shell-command on directory line

From: Drew Adams <[email-masked]>
Date: Wed, 29 Jul 2020 08:31:46 -0700 (PDT)

>>> I'm talking about those dired headlines here.
>>
>> Dired headlines are not file or directory lines.
>> They're not acted on by ! or (most) other
>> commands.
>
> Unfortunately some commands, like go to start of
> buffer (or what is the name) put cursor on first
> line (header) in dired which is a bit annoying
> since it is useless.

It's not at all useless.  Dired offers many features,
including many that many or most users never use or
are even unaware of.

There are, for examples keys to navigate among dir
listings, that specifically move to dir headlines.
`C-M-n', `C-M-p', `C-M-d', `C-M-u'.  Not to mention
`i', which inserts the listing for the subdir on the
current line.  (And in Dired+ `i' on a subdir listing
takes you back to the parent dir listing.)

> In dired it makes more sense to move cursor/point
> to start of the first line after the header (first
> file). 

It may make sense for you, but it doesn't necessarily
make more sense for other Dired users or Emacs in
general.  Luckily for you, you can bind keys to any
commands you like:

> I have bound a key to move it so and use that key
> instead of ordinary move to the beginning of a
> buffer (C-<home > by default I think).